---
lang: en
title: 'API docs: rest.baseroute'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.baseroute.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [BaseRoute](./rest.baseroute.md)

## BaseRoute class

Base implementation of RouteEntry

**Signature:**

```typescript
export declare abstract class BaseRoute implements RouteEntry 
```
**Implements:** [RouteEntry](./rest.routeentry.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(verb, path, spec)](./rest.baseroute._constructor_.md)


</td><td>


</td><td>

Construct a new route


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[path](./rest.baseroute.path.md)


</td><td>

`readonly`


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[spec](./rest.baseroute.spec.md)


</td><td>

`readonly`


</td><td>

OperationObject


</td><td>


</td></tr>
<tr><td>

[verb](./rest.baseroute.verb.md)


</td><td>

`readonly`


</td><td>

string


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[describe()](./rest.baseroute.describe.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[invokeHandler(requestContext, args)](./rest.baseroute.invokehandler.md)


</td><td>

`abstract`


</td><td>


</td></tr>
<tr><td>

[toString()](./rest.baseroute.tostring.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[updateBindings(requestContext)](./rest.baseroute.updatebindings.md)


</td><td>

`abstract`


</td><td>


</td></tr>
</tbody></table>

